Qt 5.9 | Qt 3D | C++ Classes | QGeometry

Qt 5.9.9 Reference Documentation

# QGeometry Class

(Qt3DRender::QGeometry)

Encapsulates geometry More...

Header: | #include <QGeometry>
qmake: | QT += 3drender
Since: | Qt 5.7
Instantiated By: | Geometry
Inherits: | Qt3DCore::QNode
Inherited By: | Qt3DExtras::QConeGeometry, Qt3DExtras::QCuboidGeometry, Qt3DExtras::QCylinderGeometry, Qt3DExtras::QExtrudedTextGeometry, Qt3DExtras::QPlaneGeometry, Qt3DExtras::QSphereGeometry, and Qt3DExtras::QTorusGeometry

- List of all members, including inherited members

## Properties

- boundingVolumePositionAttribute : Qt3DRender::QAttribute *

- 3 properties inherited from Qt3DCore::QNode

## Public Functions

| QGeometry(Qt3DCore::QNode *parent = nullptr)
void | addAttribute(Qt3DRender::QAttribute *attribute)
QVector<QAttribute *> | attributes() const
QAttribute * | boundingVolumePositionAttribute() const
void | removeAttribute(Qt3DRender::QAttribute *attribute)

- 11 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setBoundingVolumePositionAttribute(QAttribute *boundingVolumePositionAttribute)

- 3 public slots inherited from Qt3DCore::QNode

## Signals

void | boundingVolumePositionAttributeChanged(QAttribute *boundingVolumePositionAttribute)

- 4 signals inherited from Qt3DCore::QNode

## Protected Functions

| QGeometry(QGeometryPrivate &dd, Qt3DCore::QNode *parent = nullptr)

- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

Encapsulates geometry

A Qt3DRender::QGeometry class is used to group a list of Qt3DRender::QAttribute objects together to form a geometric shape Qt3D is able to render using Qt3DRender::QGeometryRenderer. Special attribute can be set in order to calculate bounding volume of the shape.

## Property Documentation

### boundingVolumePositionAttribute : Qt3DRender::QAttribute *

Holds the attribute used to compute the bounding volume. The bounding volume is used internally for picking and view frustum culling.

If unspecified, the system will look for the attribute using the name returned by QAttribute::defaultPositionAttributeName.

Access functions:

QAttribute * | boundingVolumePositionAttribute() const
void | setBoundingVolumePositionAttribute(QAttribute *boundingVolumePositionAttribute)

Notifier signal:

void | boundingVolumePositionAttributeChanged(QAttribute *boundingVolumePositionAttribute)

See also Qt3DRender::QAttribute.

## Member Function Documentation

### QGeometry::QGeometry(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QGeometry.

### `[protected]` QGeometry::QGeometry(QGeometryPrivate &dd, Qt3DCore::QNode *parent = nullptr)

Copy constructor.

### void QGeometry::addAttribute(Qt3DRender::QAttribute *attribute)

Adds an attribute to this geometry.

### QVector<QAttribute *> QGeometry::attributes() const

Returns the list of attributes in this geometry.

### void QGeometry::removeAttribute(Qt3DRender::QAttribute *attribute)

Removes the given attribute from this geometry.